#
# spec file for package pcsc-lite (Version 1.0.0B)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         pcsc-lite
Summary:      SmartCards Library of MUSCLE project
%define prefix 	/usr
Version:      1.0.0B
Release:      129
Copyright:    BSD type
Url:          http://www.linuxnet.com/
Source0:      pcsc-lite-%{version}.tar.gz
Source1:      pcscd.init
Source2:      pcsc-lite.README.SuSE
Patch0:       pcsc-lite.configure.diff
Patch1:       pcsc-lite-src_utils.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Group:        Development/Libraries

%description
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in
a very small form factor for communicating to smartcards and readers.
PCSC Lite can be compiled directly to a desired reader driver or can be
used to dynamically allocate/deallocate reader drivers at runtime (default).

PCSC Lite uses the same winscard api as used under Windows(R).

For security aware persons please read the SECURITY file on possible
vulnerabilites to pcsclite, how you can fix some, and how some will
be fixed.

For information on how to install driver please read the DRIVERS file.

Memory cards will be supported through MCT specifications which is an APDU
like manner sent normally through the SCardTransmit() function.  This
functionality is done in the driver.

Authors:
--------
    David Corcoran <corcoran@linuxnet.com>

SuSE series: sec

%prep
%setup
# This files are embedded here instead of being another source in order
# to the prefix directory
cat >rc.config.pcscd <<EOFF
#
# Should the pcscd daemon/manager be started at bootup? (yes/no)
#
START_PCSCD="no"
EOFF
%patch0  -p 1
%patch1  -p 0

%build
%{suse_update_config -f build }
./bootstrap
CFLAGS="${RPM_OPT_FLAGS}" 		\
./configure 	--prefix=%{prefix} 	\
		--mandir=%{_mandir}	\
		--enable-usb  		\
		--enable-utils 		\
		--enable-syslog		\
		--enable-daemon		\
	 	--sysconfdir=/etc
make
## --enable-debug --enable-debug-atr
(cd src ; make testpcsc)
(cd src/utils ; make )

%install
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi
install -d 	${RPM_BUILD_ROOT}/etc/init.d \
	   	${RPM_BUILD_ROOT}/%{prefix}/lib/readers \
	   	${RPM_BUILD_ROOT}/%{prefix}/bin/ \
	   	${RPM_BUILD_ROOT}/%{_docdir}/%{name}/ \
		${RPM_BUILD_ROOT}/var/adm/fillup-templates
make install DESTDIR=${RPM_BUILD_ROOT}
(cd src ; 	install -m 755 testpcsc   ${RPM_BUILD_ROOT}/%{prefix}/bin/testpcsc )
(cd src/utils ; install -m 755 formaticc  ${RPM_BUILD_ROOT}/%{prefix}/bin/formaticc )
(cd src/utils ; install -m 755 installifd ${RPM_BUILD_ROOT}/%{prefix}/bin/installifd )
#set library as executable - prevent ldd from complaining
chmod +x ${RPM_BUILD_ROOT}%{prefix}/lib/*.so.*.*
install -m 755 %{S:1}	 	${RPM_BUILD_ROOT}/etc/init.d/pcscd
install -m 755 %{S:2}	 	${RPM_BUILD_ROOT}/%{_docdir}/%{name}/README.SuSE
install -m 755 rc.config.pcscd 	${RPM_BUILD_ROOT}/var/adm/fillup-templates/rc.config.pcscd
cp ChangeLog AUTHORS NEWS README SECURITY doc/README.DAEMON doc/pcsc-lite-0.8.7.pdf\
				${RPM_BUILD_ROOT}/%{_docdir}/%{name}/

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.pcscd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.pcscd and"
  echo "update by hand."
fi
sbin/insserv etc/init.d/pcscd

%postun
sbin/insserv etc/init.d/

%files
/%{prefix}/include/*.h
/%{prefix}/lib/libpcsclite*
/%{prefix}/sbin/pcscd
/%{prefix}/bin/testpcsc
/%{prefix}/bin/installifd
/%{prefix}/bin/formaticc
%config /etc/reader.conf
%dir /%{prefix}/lib/readers
%{_docdir}/pcsc-lite/*
/var/adm/fillup-templates/rc.config.pcscd
/etc/init.d/pcscd

%changelog -n pcsc-lite
* Mon Jul 29 2002 - draht@suse.de
- s/usbmgr/hotplug in start script. (#15053)
* Sun Aug 26 2001 - mge@suse.de
- updated to 1.0.0Beta
- fixed /etc/init.d/pcscd status-handling (bug #9069)
* Thu Jun 07 2001 - ro@suse.de
- fix broken Makefile.am
* Mon Apr 23 2001 - mge@suse.de
- update to 0.9.1
* Thu Apr 19 2001 - mge@suse.de
- created package
